Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class LispReader

    java.lang.Object
      ix.util.lisp.LispReader

Direct Known Subclasses:
  LispFileReader, LispProgramReader, LTF_Parser.IncludeReader

    public class LispReader

extends java.lang.Object

A LispReader can be used to read Objects using a Lisp-like syntax.

See Also:
  `LispFileReader`

Field Summary
`protected java.io.Reader` | `inReader`
`protected java.io.InputStream` | `inStream`
`protected boolean` | `singleQuoteIsMacro`
`protected LispTokenizer` | `tk`

Constructor Summary
`LispReader(java.io.InputStream is)`
`LispReader(LispTokenizer tk)`
`LispReader(java.io.Reader r)`
`LispReader(java.lang.String s)`

Method Summary
`void` | `close()`
`protected LList` | `listreader()`
`protected java.lang.Object` | `reader()`
`java.lang.Object` | `readObject()`
`java.lang.Object` | `safeRead()`
`java.lang.Object` | `safeRead(java.lang.Object errValue)`
`void` | `setSingleQuoteIsMacro(boolean v)`
`protected java.lang.Object` | `tryAsNumber(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tk

    protected LispTokenizer tk

### inStream

    protected java.io.InputStream inStream

### inReader

    protected java.io.Reader inReader

### singleQuoteIsMacro

    protected boolean singleQuoteIsMacro

Constructor Detail

### LispReader

    public LispReader(LispTokenizer tk)

### LispReader

    public LispReader(java.io.InputStream is)

### LispReader

    public LispReader(java.io.Reader r)

### LispReader

    public LispReader(java.lang.String s)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setSingleQuoteIsMacro

    public void setSingleQuoteIsMacro(boolean v)

### safeRead

    public java.lang.Object safeRead(java.lang.Object errValue)

### safeRead

    public java.lang.Object safeRead()

### readObject

    public java.lang.Object readObject()

### reader

    protected java.lang.Object reader()

### tryAsNumber

    protected java.lang.Object tryAsNumber(java.lang.String name)

### listreader

    protected LList listreader()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD